Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511625 - RFE: add support for locally mounting NFS exports (loopback)
Summary: RFE: add support for locally mounting NFS exports (loopback)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils
Version: 7.2
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Yongcheng Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 18:11 UTC by agilley
Modified: 2017-11-11 01:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-10 16:11:14 UTC


Attachments (Terms of Use)

Comment 3 Steve Dickson 2017-11-10 16:11:08 UTC
Here is the reason loopback mounts will always
be acceptable to hangs:

1) nfsd wants memory. It tries to obtain this by flushing pagecache. 
2) The pagecache tries to free memory by flushing page cache allocated to files over nfs. 
3) nfs tries to flush paged by writing back to the nfs server. 
4) nfsd needs memory. go back to 1.

Comment 4 Red Hat Bugzilla Rules Engine 2017-11-10 16:11:14 UTC
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.